This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 492250 - Review Request: perl-Git-CPAN-Patch - Patch CPAN modules using Git
Review Request: perl-Git-CPAN-Patch - Patch CPAN modules using Git
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Git-CPAN-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 00:56 EDT by Chris Weyl
Modified: 2016-08-14 12:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-28 03:26:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-03-26 00:56:47 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Git-CPAN-Patch.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Git-CPAN-Patch-0.1.4-2.fc10.src.rpm

Description:
Git::CPAN::Patch provides a suite of git commands aimed at making trivially
easy the process of grabbing any distribution off CPAN, stuffing it in a
local git repository and, once gleeful hacking has been perpetrated,
sending back patches to its maintainer.

This package provides the backend Perl modules required.  For the git
commands, etc, please install the git-cpan-patch package.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1259176

*rt-0.06
Comment 1 Parag AN(पराग) 2009-03-26 01:18:19 EDT
Review:
+ package builds in mock (rawhide i586).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1259176
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
3ca356d3896cf37a7133301fc9678ff2  Git-CPAN-Patch-0.1.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
Files=1, Tests=1,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.05 cusr  0.01 csys =  0.10 CPU)
+ Package perl-Git-CPAN-Patch-0.1.4-2.fc11.noarch ->
Provides: perl(Git::CPAN::Patch) = 0.1.4
Requires: perl(strict) perl(warnings)

Can subpackage be named as git-cpan instead of git-cpan-patch?
Comment 2 Chris Weyl 2009-03-26 05:18:32 EDT
(In reply to comment #1)
> 
> Can subpackage be named as git-cpan instead of git-cpan-patch?  

Yes, it definitely can...  I thought about it, and figured I should be consistent with the module naming in case someone else came up with a Git::CPAN; but I don't have any problems with renaming it to git-cpan.
Comment 3 Parag AN(पराग) 2009-03-26 05:23:34 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > 
> > Can subpackage be named as git-cpan instead of git-cpan-patch?  
> 
> Yes, it definitely can...  I thought about it, and figured I should be
> consistent with the module naming in case someone else came up with a
> Git::CPAN; but I don't have any problems with renaming it to git-cpan.  

Thanks. Good then if you change it to git-cpan.

APPROVED.
Comment 4 Chris Weyl 2009-03-26 11:01:48 EDT
New Package CVS Request
=======================
Package Name: perl-Git-CPAN-Patch
Short Description: Patch CPAN modules using Git
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-03-27 16:39:03 EDT
cvs done.
Comment 6 Chris Weyl 2009-03-28 03:26:19 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.